Package it.ernytech.tdlib

## Class TdApi.RichText

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.RichText

Direct Known Subclasses:
  `TdApi.RichTextBold`, `TdApi.RichTextEmailAddress`, `TdApi.RichTextFixed`, `TdApi.RichTextItalic`, `TdApi.RichTextPlain`, `TdApi.RichTexts`, `TdApi.RichTextStrikethrough`, `TdApi.RichTextUnderline`, `TdApi.RichTextUrl`

Enclosing class:
  TdApi

    public abstract static class TdApi.RichText
    extends TdApi.Object

This class is an abstract base class. Describes a text object inside an instant-view web page.

### Constructor Summary

Constructors
`RichText()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### RichText

    public RichText()